#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is this file as it was released upon August 6, 1998.
#
# The Initial Developer of the Original Code is
# Christopher Seawood.
# Portions created by the Initial Developer are Copyright (C) 1998
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either of the GNU General Public License Version 2 or later (the "GPL"),
# or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

# A netscape style .mk file for autoconf builds

INCLUDED_AUTOCONF_MK = 1
USE_AUTOCONF 	= 1
MOZILLA_CLIENT	= 1
BUILD_MODULES	= all
MOZILLA_VERSION = 1.8
FIREFOX_VERSION	= 1.5
THUNDERBIRD_VERSION	= 1.5
SEAMONKEY_VERSION	= 1.0b

MOZ_BUILD_APP = browser
MOZ_APP_NAME	= firefox
MOZ_APP_DISPLAYNAME = DeerPark
MOZ_APP_VERSION = 1.5

prefix		= /usr/local
exec_prefix	= ${prefix}
bindir		= ${exec_prefix}/bin
includedir	= ${prefix}/include/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
libdir		= ${exec_prefix}/lib
datadir		= ${prefix}/share
mandir		= ${prefix}/man
idldir		= ${prefix}/share/idl/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)

mozappdir	= $(libdir)/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
mredir		= $(libdir)/mre/mre-$(MOZ_APP_VERSION)
mrelibdir	= $(mredir)/lib

DIST		= $(DEPTH)/dist

MOZ_CHROME_FILE_FORMAT	= jar

MOZ_WIDGET_TOOLKIT	= windows
MOZ_GFX_TOOLKIT	= $(MOZ_WIDGET_TOOLKIT)
MOZ_X11			= 

MOZ_JS_LIBS		   = $(DIST)/lib/js$(MOZ_BITS)$(VERSION_NUMBER).lib

MOZ_GFX_TOOLKIT_LDFLAGS     = -lgfx_$(MOZ_GFX_TOOLKIT) $(MOZ_XLIBRGB_LDFLAGS)
MOZ_WIDGET_TOOLKIT_LDFLAGS  = -lwidget_$(MOZ_WIDGET_TOOLKIT)

MOZ_DEBUG	= 1
MOZ_DEBUG_MODULES = 
MOZ_PROFILE_MODULES = 
MOZ_DEBUG_ENABLE_DEFS		= -DDEBUG -D_DEBUG -DDEBUG_cmiss -DTRACING
MOZ_DEBUG_DISABLE_DEFS	= -DNDEBUG -DTRIMMED
MOZ_DEBUG_FLAGS	= -Zi
MOZ_DEBUG_LDFLAGS=-DEBUG -DEBUGTYPE:CV
MOZ_DBGRINFO_MODULES	= 
MOZ_EXTENSIONS  = cookie xml-rpc xmlextras pref transformiix universalchardet webservices inspector auth permissions reporter
MOZ_IMG_DECODERS= png gif jpeg bmp xbm icon
MOZ_JSDEBUGGER  = 1
MOZ_PERF_METRICS = 
MOZ_LEAKY	= 
MOZ_JPROF       = 
MOZ_XPCTOOLS    = 
ENABLE_EAZEL_PROFILER=
EAZEL_PROFILER_CFLAGS=
EAZEL_PROFILER_LIBS=
GC_LEAK_DETECTOR = 
NS_TRACE_MALLOC = 
USE_ELF_DYNSTR_GC = 
USE_PREBINDING = 
INCREMENTAL_LINKER = 1
MACOSX_DEPLOYMENT_TARGET = 
MOZ_MAIL_NEWS	= 
MOZ_CALENDAR	= 
MOZ_PLAINTEXT_EDITOR_ONLY = 
MOZ_COMPOSER = 
BUILD_SHARED_LIBS = 1
BUILD_STATIC_LIBS = 
MOZ_STATIC_COMPONENT_LIBS = 
MOZ_ENABLE_LIBXUL = 
ENABLE_TESTS	= 1
IBMBIDI = 1
SUNCTL = 
ACCESSIBILITY = 1
MOZ_VIEW_SOURCE = 1
MOZ_XPINSTALL = 1
MOZ_JSLOADER  = 1
MOZ_USE_NATIVE_UCONV = 
MOZ_SINGLE_PROFILE = 1
MOZ_LDAP_XPCOM = 
MOZ_LDAP_XPCOM_EXPERIMENTAL = 
MOZ_BRANDING_DIRECTORY = 
XPCOM_USE_LEA = 
JS_ULTRASPARC_OPTS = 
MOZ_ENABLE_POSTSCRIPT = 
MOZ_INSTALLER	= 1
MOZ_UPDATER	= 1
MOZ_UPDATE_PACKAGING	= 
MOZ_NO_ACTIVEX_SUPPORT = 
MOZ_ACTIVEX_SCRIPTING_SUPPORT = 1
XPC_IDISPATCH_SUPPORT = 1
MOZ_XPFE_COMPONENTS = 1
MOZ_IPCD = 
MOZ_PROFILESHARING = 
MOZ_PROFILELOCKING = 1
MOZ_STORAGE = 
MOZ_NO_XPCOM_OBSOLETE = 

MOZ_ENABLE_JAVAXPCOM = 
JAVA_INCLUDE_PATH=
JAVAC=
JAR=

# The MOZ_UI_LOCALE var is used to build a particular locale. Do *not*
# use the var to change any binary files. Do *not* use this var unless you
# write rules for the "clean-locale" and "locale" targets.
MOZ_UI_LOCALE = en-US

MOZ_COMPONENTS_VERSION_SCRIPT_LDFLAGS = 
MOZ_COMPONENT_NSPR_LIBS=$(NSPR_LIBS)

ifdef MOZ_ENABLE_LIBXUL
MOZ_FIX_LINK_PATHS=
endif

XPCOM_FROZEN_LDOPTS=$(DIST)/lib/xpcom.lib
XPCOM_LIBS=$(DIST)/lib/xpcom.lib $(DIST)/lib/xpcom_core.lib
MOZ_REORDER=
MOZ_TIMELINE=

ENABLE_STRIP	= 

ClientWallet=1
CookieManagement=1
SingleSignon=1

MOZ_OJI		= 1
MOZ_PLUGINS	= 1

MOZ_POST_DSO_LIB_COMMAND = 
MOZ_POST_PROGRAM_COMMAND = 

MOZ_BUILD_ROOT             = e:/Users/cmiss/firefox-1.5-src/mozilla

MOZ_XUL                    = 1

NECKO_PROTOCOLS = about data file ftp gopher http keyword res viewsource
NECKO_DISK_CACHE = 1
NECKO_SMALL_BUFFERS = 
NECKO_COOKIES = 1

MOZ_NATIVE_ZLIB	= 
MOZ_NATIVE_JPEG	= 
MOZ_NATIVE_PNG	= 
MOZ_TREE_CAIRO = 

MOZ_UPDATE_XTERM = 
MOZ_MATHML = 1
MOZ_XTF = 1
MOZ_SVG = 
MOZ_SVG_FOREIGNOBJECT = 
MOZ_SVG_RENDERER_GDIPLUS = 
MOZ_SVG_RENDERER_LIBART = 
MOZ_SVG_RENDERER_CAIRO = 
MOZ_LIBART_CFLAGS = 
MOZ_ENABLE_CANVAS = 
MOZ_CAIRO_CFLAGS = 
TX_EXE = 

# Mac's don't like / in a #include, so we include the libart
# headers locally if we're using the external library
ifdef MOZ_LIBART_CFLAGS
ifndef MOZ_SVG_RENDERER_LIBART
MOZ_LIBART_CFLAGS := $(MOZ_LIBART_CFLAGS)/libart_lgpl
endif
endif
MOZ_LIBART_LIBS = 
MOZ_CAIRO_LIBS = 

MOZ_ENABLE_GNOMEUI = 
MOZ_GNOMEUI_CFLAGS = 
MOZ_GNOMEUI_LIBS = 

MOZ_GNOMEVFS_CFLAGS = 
MOZ_GNOMEVFS_LIBS = 

MOZ_GCONF_CFLAGS = 
MOZ_GCONF_LIBS = 

MOZ_LIBGNOME_CFLAGS = 
MOZ_LIBGNOME_LIBS = 

MOZ_ENABLE_GNOME_COMPONENT = 

MOZ_INSURE = 
MOZ_INSURIFYING = 
MOZ_INSURE_DIRS = 
MOZ_INSURE_EXCLUDE_DIRS = 

MOZ_NATIVE_NSPR = 

CROSS_COMPILE   = 

OS_CPPFLAGS	= 
OS_CFLAGS	= $(OS_CPPFLAGS) -TC -nologo -W3 -Gy -Fd$(PDBFILE)
OS_CXXFLAGS	= $(OS_CPPFLAGS) -TP -nologo -W3 -Gy -Fd$(PDBFILE)
OS_LDFLAGS	= 

OS_COMPILE_CFLAGS = $(OS_CPPFLAGS) $(ACDEFINES) -D_MOZILLA_CONFIG_H_ -DMOZILLA_CLIENT
OS_COMPILE_CXXFLAGS = $(OS_CPPFLAGS) $(ACDEFINES) -D_MOZILLA_CONFIG_H_ -DMOZILLA_CLIENT

OS_INCLUDES	= $(NSPR_CFLAGS) $(JPEG_CFLAGS) $(PNG_CFLAGS) $(ZLIB_CFLAGS)
OS_LIBS		=  kernel32.lib user32.lib gdi32.lib winmm.lib wsock32.lib advapi32.lib
ACDEFINES	= -DX_DISPLAY_MISSING=1 -DMOZILLA_VERSION=\"1.8\" -DMOZILLA_VERSION_U=1.8 -DHAVE_SNPRINTF=1 -D_WINDOWS=1 -D_WIN32=1 -DWIN32=1 -DXP_WIN=1 -DXP_WIN32=1 -DHW_THREADS=1 -DWINVER=0x400 -D_WIN32_WINNT=0x400 -DSTDC_HEADERS=1 -DWIN32_LEAN_AND_MEAN=1 -DNO_X11=1 -D_X86_=1 -DD_INO=d_ino -DMOZ_DEFAULT_TOOLKIT=\"windows\" -DMOZ_PHOENIX=1 -DMOZ_BUILD_APP=browser -DMOZ_XUL_APP=1 -DMOZ_DISTRIBUTION_ID=\"org.mozilla\" -DOJI=1 -DIBMBIDI=1 -DMOZ_VIEW_SOURCE=1 -DACCESSIBILITY=1 -DMOZ_XPINSTALL=1 -DMOZ_JSLOADER=1 -DMOZ_XTF=1 -DMOZ_MATHML=1 -DMOZ_UPDATE_CHANNEL=default -DMOZ_LOGGING=1 -DDETECT_WEBSHELL_LEAKS=1 -DMOZ_USER_DIR=\"Mozilla\" -DMOZ_XUL=1 -DMOZ_PROFILELOCKING=1 -DMOZ_DLL_SUFFIX=\".dll\" -DJS_THREADSAFE=1 -DNS_PRINT_PREVIEW=1 -DNS_PRINTING=1 -DMOZ_REFLOW_PERF=1 -DMOZ_REFLOW_PERF_DSP=1 -DMOZILLA_LOCALE_VERSION=\"1.8b5\" -DMOZILLA_REGION_VERSION=\"1.8b5\" -DMOZILLA_SKIN_VERSION=\"1.8\" 

MOZ_OPTIMIZE	= 
MOZ_OPTIMIZE_FLAGS = -O1
MOZ_OPTIMIZE_LDFLAGS = 

PROFILE_GEN_CFLAGS = 
PROFILE_USE_CFLAGS = 

XCFLAGS		= 
XLDFLAGS	= 
XLIBS		= 

WIN_TOP_SRC	= e:/Users/cmiss/firefox-1.5-src/mozilla
CYGWIN_WRAPPER	= /cygdrive/e/Users/cmiss/firefox-1.5-src/mozilla/./build/cygwin-wrapper
AS_PERL         = 
CYGDRIVE_MOUNT	= /cygdrive
AR		= lib -NOLOGO -OUT:"$@"
AR_FLAGS	= 
AR_EXTRACT	= $(AR) x
AR_LIST		= $(AR) t
AR_DELETE	= $(AR) d
AS		= $(CYGWIN_WRAPPER) $(CC)
ASFLAGS		= 
AS_DASH_C_FLAG	= -c
LD		= $(CYGWIN_WRAPPER) link
RC		= $(CYGWIN_WRAPPER) rc.exe
RCFLAGS		= 
WINDRES		= windres
USE_SHORT_LIBNAME = 1
IMPLIB		= 
FILTER		= 
BIN_FLAGS	= 
MIDL		= $(CYGWIN_WRAPPER) midl
MIDL_FLAGS	= 
_MSC_VER	= 1200

DLL_PREFIX	= 
LIB_PREFIX	= 
OBJ_SUFFIX	= obj
LIB_SUFFIX	= lib
DLL_SUFFIX	= .dll
BIN_SUFFIX	= .exe
ASM_SUFFIX	= s
IMPORT_LIB_SUFFIX = lib
USE_N32		= 
HAVE_64BIT_OS	= 

# Temp hack.  It is not my intention to leave this crap in here for ever.
# Im talking to fur right now to solve the problem without introducing 
# NS_USE_NATIVE to the build system -ramiro.
NS_USE_NATIVE = 

CC		    = $(CYGWIN_WRAPPER) cl
CXX		    = $(CYGWIN_WRAPPER) cl

GNU_AS		= 
GNU_LD		= 
GNU_CC		= 
GNU_CXX		= 
HAVE_GCC3_ABI	= 

HOST_CC		= $(CYGWIN_WRAPPER) $(CC)
HOST_CXX	= $(CYGWIN_WRAPPER) $(CXX)
HOST_CFLAGS	=  -TC -nologo -Fd$(HOST_PDBFILE) -DXP_WIN32 -DXP_WIN -DWIN32 -D_WIN32 -DNO_X11
HOST_CXXFLAGS	= 
HOST_OPTIMIZE_FLAGS = -O2
HOST_NSPR_MDCPUCFG = \"md/_winnt.cfg\"
HOST_AR		= lib
HOST_AR_FLAGS	= -NOLOGO -OUT:"$@"
HOST_LD		= $(LD)
HOST_RANLIB	= echo ranlib
HOST_BIN_SUFFIX	= .exe

HOST_LIBIDL_CONFIG = 
HOST_LIBIDL_CFLAGS = 
HOST_LIBIDL_LIBS   = 

HOST_OS_ARCH	= WINNT
host_cpu	= i586
host_vendor	= pc
host_os		= msvc

TARGET_NSPR_MDCPUCFG = \"md/_win95.cfg\"
TARGET_CPU	= i586
TARGET_VENDOR	= pc
TARGET_OS	= msvc
TARGET_MD_ARCH	= win32
TARGET_XPCOM_ABI = x86-msvc

AUTOCONF	= :
PERL		= /cygdrive/c/cygwin/bin/perl
RANLIB		= echo not_ranlib
WHOAMI		= /cygdrive/c/cygwin/bin/whoami
UNZIP		= unzip
ZIP		= zip
XARGS		= xargs
STRIP		= echo not_strip
DOXYGEN		= :
MAKE		= /cygdrive/c/cygwin/bin/make
PBBUILD_BIN	= 
SDP		= 
NSINSTALL_BIN	= /cygdrive/c/moztools/bin/nsinstall

ifdef MOZ_NATIVE_JPEG
JPEG_CFLAGS	= 
JPEG_LIBS	= 
JPEG_REQUIRES	=
else
JPEG_CFLAGS	= 
JPEG_LIBS	= $(DIST)/lib/jpeg$(MOZ_BITS)$(VERSION_NUMBER).lib
JPEG_REQUIRES	= jpeg
endif

ifdef MOZ_NATIVE_ZLIB
ZLIB_CFLAGS	= 
ZLIB_LIBS	= 
ZLIB_REQUIRES	=
else
ZLIB_CFLAGS	= 
ifdef MOZ_ENABLE_LIBXUL
MOZ_ZLIB_LIBS = $(DIST)/lib/mozz.lib
else
ZLIB_LIBS = $(DIST)/lib/mozz.lib
endif
ZLIB_REQUIRES	= zlib
endif

ifdef MOZ_NATIVE_PNG
PNG_CFLAGS	= 
PNG_LIBS	= 
PNG_REQUIRES	=
else
PNG_CFLAGS	= 
PNG_LIBS	= $(DIST)/lib/png.lib
PNG_REQUIRES	= png
endif

NSPR_CONFIG	= 
NSPR_CFLAGS	= -I$(DIST)/include/nspr
NSPR_LIBS	= $(DIST)/lib/nspr4.lib $(DIST)/lib/plc4.lib $(DIST)/lib/plds4.lib 

LDAP_CFLAGS	= 
LDAP_LIBS	= 
XPCOM_GLUE_LDOPTS = $(DIST)/lib/$(LIB_PREFIX)xpcomglue_s.$(LIB_SUFFIX) $(XPCOM_FROZEN_LDOPTS)
XPCOM_STANDALONE_GLUE_LDOPTS = $(DIST)/lib/$(LIB_PREFIX)xpcomglue.$(LIB_SUFFIX)
MOZ_XPCOM_OBSOLETE_LIBS = $(DIST)/lib/xpcom_compat.lib

USE_DEPENDENT_LIBS = 1

# UNIX98 iconv support
LIBICONV = 

# MKSHLIB_FORCE_ALL is used to force the linker to include all object
# files present in an archive. MKSHLIB_UNFORCE_ALL reverts the linker
# to normal behavior. Makefile's that create shared libraries out of
# archives use these flags to force in all of the .o files in the
# archives into the shared library.
WRAP_MALLOC_LIB         = 
WRAP_MALLOC_CFLAGS      = 
DSO_CFLAGS              = 
DSO_PIC_CFLAGS          = 
MKSHLIB                 = $(LD) -NOLOGO -DLL -OUT:$@ -PDB:$(PDBFILE) $(DSO_LDOPTS)
MKCSHLIB                = $(LD) -NOLOGO -DLL -OUT:$@ -PDB:$(PDBFILE) $(DSO_LDOPTS)
MKSHLIB_FORCE_ALL       = 
MKSHLIB_UNFORCE_ALL     = 
DSO_LDOPTS              = -SUBSYSTEM:WINDOWS
DLL_SUFFIX              = .dll

NO_LD_ARCHIVE_FLAGS     = 

GTK_CONFIG	= 
TK_CFLAGS	= 
TK_LIBS		= 

MOZ_TOOLKIT_REGISTRY_CFLAGS = \
	-DWIDGET_DLL=\"libwidget_$(MOZ_WIDGET_TOOLKIT)$(DLL_SUFFIX)\" \
	-DGFXWIN_DLL=\"libgfx_$(MOZ_GFX_TOOLKIT)$(DLL_SUFFIX)\" \
	$(TK_CFLAGS)

MOZ_ENABLE_CAIRO_GFX	= 
MOZ_ENABLE_GTK		= 
MOZ_ENABLE_GTK2		= 
MOZ_ENABLE_XLIB		= 
MOZ_ENABLE_QT		= 
MOZ_ENABLE_PHOTON	= 
MOZ_ENABLE_COCOA	= 
MOZ_ENABLE_XREMOTE	= 

MOZ_GTK_CFLAGS		= 
MOZ_GTK_LDFLAGS		= 

MOZ_GTK2_CFLAGS		= 
MOZ_GTK2_LIBS		= 

MOZ_XLIB_CFLAGS		= 
MOZ_XLIB_LDFLAGS	= 

MOZ_QT_CFLAGS		= 
MOZ_QT_LDFLAGS		= 

MOZ_XPRINT_CFLAGS	= 
MOZ_XPRINT_LDFLAGS	= 
MOZ_ENABLE_XPRINT	= 

MOZ_ENABLE_FREETYPE2   = 
FT2_CFLAGS             = 
FT2_LIBS               = 

MOZ_ENABLE_XFT		= 
MOZ_XFT_CFLAGS		= 
MOZ_XFT_LIBS		= 
MOZ_ENABLE_COREXFONTS	= 

MOZ_ENABLE_PANGO        = 
MOZ_PANGO_CFLAGS        = 
MOZ_PANGO_LIBS          = 

MOZ_EXTRA_X11CONVERTERS	= 

MOZ_ENABLE_XINERAMA	= 
MOZ_XINERAMA_LIBS	= 

MOZ_XIE_LIBS		= 
XT_LIBS			= 

GLIB_CFLAGS	= -Ic:/moztools/include
GLIB_LIBS	= c:/moztools/lib/glib-1.2.lib
GLIB_GMODULE_LIBS	= 
LIBIDL_CFLAGS = -Ic:/moztools/include -Ic:/moztools/include
LIBIDL_LIBS = c:/moztools/lib/libidl-0.6.lib c:/moztools/lib/glib-1.2.lib

MOZ_NATIVE_MAKEDEPEND	= 

# Used for LD_LIBRARY_PATH
LIBS_PATH       = 

MOZ_AUTO_DEPS	= 1
COMPILER_DEPEND = 
MDDEPDIR        := .deps

MOZ_DEMANGLE_SYMBOLS = 

# XXX - these need to be cleaned up and have real checks added -cls
CM_BLDTYPE=dbg
AWT_11=1
MOZ_BITS=32
OS_TARGET=WINNT
OS_ARCH=WINNT
OS_RELEASE=5.1
OS_TEST=I386

TARGET_DEVICE = 

# For AIX build
AIX_OBJMODEL = 

# For OS/2 build
MOZ_OS2_TOOLS = 
MOZ_OS2_EMX_OBJECTFORMAT = 

HAVE_XIE=

MOZ_MOVEMAIL=
MOZ_PSM=1

# Gssapi (krb5) libraries and headers for the Negotiate auth method
GSSAPI_INCLUDES = @GSSAPI_INCLUDES@
USE_GSSAPI	= @USE_GSSAPI@

# for Qt build
MOC=

# Win32 options
MOZ_PROFILE	= 
MOZ_COVERAGE	= 
MOZ_BROWSE_INFO	= 
MOZ_TOOLS_DIR	= c:/moztools
MOZ_DEBUG_SYMBOLS = 
MOZ_QUANTIFY	= 

#python options
PYTHON = 
PYTHON_PREFIX = 
PYTHON_INCLUDES = 
PYTHON_LIBS = 
PYTHON_DEBUG_SUFFIX = 
PYTHON_DLL_SUFFIX = 
PYTHON_VER_DOTTED = 
PYTHON_VER = 

# Codesighs tools option, enables win32 mapfiles.
MOZ_MAPINFO	= 

MOZ_PHOENIX	= 1
MOZ_XULRUNNER	= 
MOZ_XUL_APP	= 1
MOZ_THUNDERBIRD = 
MOZ_STANDALONE_COMPOSER= 
MOZ_STATIC_MAIL_BUILD = 
MOZ_SUNBIRD	= 
MOZ_SUITE	= 
WINCE		= 

MOZ_DISTRIBUTION_ID = org.mozilla

MINIMO		= 

MACOS_SDK_DIR	= 
GCC_VERSION	= 
XCODEBUILD_VERSION= 
HAS_XCODE_2_1	= 

VISIBILITY_FLAGS = 
WRAP_SYSTEM_INCLUDES = 

MOZ_V1_STRING_ABI = 1
